## cdtool 2.1.4

=== Makefile ===
#
# this makefile for cdtools, copyright 1994 thomas insel
# as updated to include ctctrl, 1997, Wade Hampton
#
# $Log: Makefile,v $
# Revision 1.6  1998/01/06 21:02:03  wadeh
# Revision 2.1.4
#
# Revision 1.5  1998/01/06 21:00:33  wadeh
# Added DoCr, changes to fix cdeject crash.
#
# Revision 1.4  1997/12/30 23:03:56  wadeh
# Added cdloop
#
# Revision 1.3  1997/12/30 23:01:49  wadeh
# Makefile for version beta 3.
#
# Revision 1.2  1997/12/24 15:39:10  wadeh
# Minor bug fixes:
# 1) Fixed cdctrl eject command causing a signal 11.
# 2) Fixed Makefile debug option to not strip symbols, can now debug.
# 3) Added command.h and more prototypes, more documentation.
# 4) Fixed read_hw to ralways return buffer, even on error.
#
#

# where do we install the binaries and unformatted manual pages?
BINDIR = /usr/local/bin
MANDIR = /usr/local/man

THISVER=cdtool-2.1.4

# SRCS are RCS'd files
SRCS = cdctrl.c main.c commands.c hardware.c database.c info.c cdtool.1 cdctrl.1

# OTHERS are other files that are required in a distribution package
OTHERS = Makefile cdadd.sh README INSTALL COPYING cdctrl.h info.h config.h database.h hardware.h main.h commands.h cdloop

# OBJS are used to build cdtool
OBJS  = main.o   commands.o hardware.o database.o info.o
OBJS1 = cdctrl.o commands.o hardware.o database.o info.o

# LINKS are different names that cdtool can be called by
LINKS = cdplay cdpause cdstop cdeject cdir cdinfo cdreset

# We seem to need GCC
CC = gcc $(DEBUG_FLAGS)

all::
	make clean
	make cdtool DEBUG_FLAGS="-O -s"
	make noobjs
	make cdctrl DEBUG_FLAGS="-O -s -DCDCTRL"
	make links

debug::
	make clean
	make cdtool DEBUG_FLAGS="-g -Wall -DDEBUG"
	make noobjs
	make cdctrl DEBUG_FLAGS="-g -Wall -DDEBUG -DCDCTRL"
	make links

debugscsi::
	make clean
	make cdtool DEBUG_FLAGS="-g -Wall -DDEBUG -DSCSI"
	make noobjs
	make cdctrl DEBUG_FLAGS="-g -Wall -DDEBUG -DSCSI -DCDCTRL"
	make links

scsi::
	make clean
	make cdtool DEBUG_FLAGS="-O -s -DSCSI"
	make noobjs
	make cdctrl DEBUG_FLAGS="-O -s -DSCSI -DCDCTRL"
	make links

dist: $(SRCS) $(OTHERS)
	(cd ..;tar zcvf $(THISVER).tar.gz \
	`for i in $(SRCS) $(OTHERS);do echo $(THISVER)/$$i ;done`)

cdtool: $(OBJS)
	$(CC) -o cdtool $(OBJS)

cdctrl: $(OBJS1)
	$(CC) -o cdctrl $(OBJS1)

cdadd: cdadd.sh
	sed s,@BINDIR@,$(BINDIR),g < $< > $@
	chmod a+x $@
	
links:
	@for i in $(LINKS); do \
	    if test -L $$i; then true; else rm -f $$i; ln -s cdtool $$i; fi; \
	done

install: cdtool cdtool.1 cdadd
	install -d $(BINDIR) -o root -m 0755
	install cdctrl $(BINDIR) -s -o bin
	install cdloop $(BINDIR) -s -o bin
	install cdtool $(BINDIR) -s -o bin
	install cdadd $(BINDIR)/cdadd -o bin
	install -d $(MANDIR)/man1 -o root -m 0755
	install cdtool.1 $(MANDIR)/man1
	install cdctrl.1 $(MANDIR)/man1
	for i in $(LINKS); do \
		if test -h $(BINDIR)/$$i; then true; else \
			rm -f $(BINDIR)/$$i; ln -s ./cdtool $(BINDIR)/$$i; \
		fi; \
		if test -h $(MANDIR)/man1/$$i.1; then true; else \
			rm -f $(MANDIR)/man1/$$i.1; \
			ln $(MANDIR)/man1/cdtool.1 $(MANDIR)/man1/$$i.1; \
		fi; \
	done

uninstall: dummy
	rm -f $(BINDIR)/cdloop 
	rm -f $(MANDIR)/man1/cdctrl.1 $(BINDIR)/cdctrl 
	rm -f $(MANDIR)/man1/cdtool.1 $(BINDIR)/cdtool $(BINDIR)/cdadd
	for i in $(LINKS); do \
		rm -f $(BINDIR)/$$i $(MANDIR)/man1/$$i.1; \
    done

dummy:

clean:
	rm -rf *.o *~ $(LINKS) cdtool cdadd cdctrl

noobjs:
	rm -rf *.o 	

always:

# dependencies 
cdctrl.o: cdctrl.h config.h commands.h info.h
main.o: config.h main.h commands.h
database.o: database.h 
hardware.o: database.h hardware.h 
info.o: database.h hardware.h main.h commands.h
