## cdtool 2.1.8-release

=== debian/changelog ===
cdtool (2.1.8-release-9) unstable; urgency=medium

  * Default to gnudb.gnudb.org. Closes: #990548.
  * Ensure function declarations are accurate. Closes: #1096422.
  * Remove the old FSF address from debian/copyright.
  * Standards-Version 4.7.2, no change required.

 -- Stephen Kitt <skitt@debian.org>  Mon, 08 Sep 2025 08:23:46 +0200

cdtool (2.1.8-release-8) unstable; urgency=medium

  [ Debian Janitor ]
  * Use secure URI in Homepage field.
  * Update standards version to 4.4.1, no changes needed.
  * Bump debhelper from old 11 to 12.
  * Fix day-of-week for changelog entries 2.1.5-5.

  [ Stephen Kitt ]
  * Fix formatting issues highlighted by GCC.
  * Switch to debhelper compatibility level 13.
  * Add a watch file.
  * Switch to a machine-readable debian/copyright file.
  * Standards-Version 4.5.1, no further change required.

 -- Stephen Kitt <skitt@debian.org>  Fri, 08 Jan 2021 15:11:55 +0100

cdtool (2.1.8-release-7) unstable; urgency=medium

  * Set “Rules-Requires-Root: binary-targets” since the build assumes it
    can change ownership of files.

 -- Stephen Kitt <skitt@debian.org>  Sat, 19 Jan 2019 20:45:45 +0100

cdtool (2.1.8-release-6) unstable; urgency=medium

  * Fix various issues in cdtool.1. Thanks to Bjarni Ingi Gislason for the
    patch. (Closes: #897208.)
  * Set “Rules-Requires-Root: no”.
  * Standards-Version 4.3.0, no further change required.

 -- Stephen Kitt <skitt@debian.org>  Sat, 19 Jan 2019 16:49:49 +0100

cdtool (2.1.8-release-5) unstable; urgency=medium

  * Migrate to Salsa.
  * Switch to debhelper compatibility level 11.
  * Standards-Version 4.1.4, no further change required.
  * Use dh_auto_configure to get the right “--host” option; this allows
    the package to be cross-built. Thanks to Helmut Grohne for patch.
    (Closes: #865676.)
  * Fix spelling errors flagged by Lintian.

 -- Stephen Kitt <skitt@debian.org>  Sun, 22 Apr 2018 20:54:11 +0200

cdtool (2.1.8-release-4) unstable; urgency=medium

  * New maintainer. (Closes: #419334.)
  * Switch to dh 9.
  * Enable all hardening options.
  * Standards-Version 3.9.7, no further change required.
  * Add homepage.
  * Limit architectures to linux-any, cdtool doesn't build on non-Linux
    architectures.
  * Add VCS URIs.

 -- Stephen Kitt <skitt@debian.org>  Sat, 13 Feb 2016 18:39:54 +0100

cdtool (2.1.8-release-3) unstable; urgency=medium

  * QA upload.
  * Switch to "3.0 (quilt)" source format.
  * debian/patches/02_deprecate_build_date.diff: New patch.
    Do not use the build date at all.
  * debian/patches/03_distclean_remove_makefile_and_config_dot_h.diff:
    New patch. Modify Makefile.in to remove Makefile and config.h.

 -- Santiago Vila <sanvila@debian.org>  Fri, 28 Aug 2015 12:03:08 +0200

cdtool (2.1.8-release-2) unstable; urgency=low

  * QA upload.
    + Set maintainer to Debian QA Group <packages@qa.debian.org>.
  * 01_local_getline.diff - Rename local getline to local_getline.
    + Change simple-patch-sys to quilt patch system. (Closes: #552831).
  * Remove Homepage from package description as it's no longer valid.
  * Add ${misc:Depends} for debhelper package.
  * Bump debhelper build-dep and compat to 5.
  * Bump Standards Version to 3.8.3.

 -- Barry deFreese <bdefreese@debian.org>  Tue, 03 Nov 2009 14:40:37 -0500

cdtool (2.1.8-release-1) unstable; urgency=low

  * New upstream version
  * Update to standards version 3.7.2 (no changes)

 -- Max Vozeler <xam@debian.org>  Wed,  9 Aug 2006 10:33:58 +0200

cdtool (2.1.8-pre4-1) unstable; urgency=low

  * New upstream release
  - Fixes problems with some drives that return CDROM_AUDIO_INVALID
    and cdplay aborting with an error when no track range was given.

 -- Max Vozeler <xam@debian.org>  Wed,  9 Nov 2005 22:43:30 +0100

cdtool (2.1.8-pre3-1) unstable; urgency=low

  * New upstream release

 -- Max Vozeler <xam@debian.org>  Tue, 18 Oct 2005 18:33:44 +0200

cdtool (2.1.8-pre2-1) unstable; urgency=low

  * New upstream release
    - Includes all Debian changes
    - Includes cdtool2cddb, thanks Peter Samuelson. (Closes: #79306)
  * Rebuilt from scratch using CDBS

 -- Max Vozeler <xam@debian.org>  Mon,  3 Oct 2005 16:50:23 +0200

cdtool (2.1.5-15) unstable; urgency=low

  * Drop the debconf question about /dev/cdrom symlink; The symlink is
    created by udev or discover on new installations. Existing systems
    should have the symlink by now.
  * Bump standards version to 3.6.2 (no changes)

 -- Max Vozeler <xam@debian.org>  Thu,  4 Aug 2005 16:05:05 +0200

cdtool (2.1.5-14) unstable; urgency=low

  * New translation
    - Vietnamese, thanks Clytie Siddall. (Closes: #309622)

 -- Max Vozeler <xam@debian.org>  Thu, 19 May 2005 23:32:58 +0200

cdtool (2.1.5-13) unstable; urgency=low

  * Updated translations
    - Russian, typo fix (Closes: #299887)

 -- Max Vozeler <xam@debian.org>  Tue,  5 Apr 2005 23:14:03 +0200

cdtool (2.1.5-12) unstable; urgency=low

  * New translation
    - Russian, thanks Basil Shubin. (Closes: #299887)
  * Change maintainer's address
  * Fix cdtool and cdown man page .IP typos
    - Thanks Kevin Ryde. (Closes: #285385)

 -- Max Vozeler <xam@debian.org>  Fri, 18 Mar 2005 15:23:53 +0100

cdtool (2.1.5-11) unstable; urgency=medium

  * Include new upstream URL in the long description
  * Fix typo in cdown.1
    - Thanks Nicolas Francois
      (Closes: #274453)
  * Fix .TH in cdctrl.1
    - Thanks Graham Wilson
  * New translation
    - Brazilian, thanks Tiago Bortoletto Vaz.
      (Closes: #271335)

 -- Max Vozeler <max@hinterhof.net>  Thu,  7 Oct 2004 00:43:40 +0200

cdtool (2.1.5-10) unstable; urgency=medium

  * Applied patch to fix playing the last track. (Closes: #262661)
    Thanks Jakob Bratkovic.

 -- Max Vozeler <max@hinterhof.net>  Tue, 17 Aug 2004 11:30:20 +0200

cdtool (2.1.5-9) unstable; urgency=low

  * Check that the number of tracks from TOC header doesn't exceed 99.
    (Closes: #81703)
  * Remove unused file altcdloop.txt from the source package.
  * New translations

