=== debian/control ===
Source: cdtool
Section: sound
Priority: optional
Maintainer: Stephen Kitt <skitt@debian.org>
Build-Depends: debhelper-compat (= 13)
Standards-Version: 4.7.2
Homepage: https://hinterhof.net/cdtool/
Vcs-Browser: https://salsa.debian.org/debian/cdtool
Vcs-Git: https://salsa.debian.org/debian/cdtool.git
Rules-Requires-Root: binary-targets

Package: cdtool
Architecture: linux-any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: text-based audio CD player and CD-ROM control commands
 cdtool contains cdplay, cdeject, cdstop, cdpause, and several other
 programs for playing audio CDs and controlling a CD-ROM drive from
 the command line and in a quick and scriptable way.
 .
 cdown reads track info and queries a CDDB database for info on
 the current CD. cdctrl is a command line utility for controlling a
 CD-ROM drive interactively and from scripts. cdir keeps track of the
 contents of different CDs using a workman-compatible database.
